<div class="container-view">
    <div class="container-table mat-elevation-z2 m-top-25">
        <table mat-table [dataSource]="loans$ | async" class="mat-elevation-z1" matSort>
            <ng-container matColumnDef="loanValue">
                <th mat-header-cell *matHeaderCellDef>{{ 'AMOUNT' | translate }}</th>
                <td mat-cell *matCellDef="let element"> {{ element.loanValue | currency }}
                    {{ element.lastName }}
                </td>
            </ng-container>
            <ng-container matColumnDef="paymentStatus">
                <th mat-header-cell *matHeaderCellDef>{{ 'CREDIT_STATUS' | translate }}</th>
                <td mat-cell *matCellDef="let element">
                    <mat-chip-list>
                        <mat-chip *ngIf="element.creditStatus" color="accent" selected>{{ 'APPROVED' | translate
                            }}
                        </mat-chip>
                        <mat-chip *ngIf="!element.creditStatus" color="warm" selected>{{ 'REFUSED' | translate }}
                        </mat-chip>
                    </mat-chip-list>
                </td>
            </ng-container>
            <ng-container matColumnDef="paymentDate">
                <th mat-header-cell *matHeaderCellDef>{{ 'PAYMENT_DATE' | translate }}</th>
                <td mat-cell *matCellDef="let element"> {{ element.paymentDate | timestamp | date: 'MMMM dd, y' }}
                </td>
            </ng-container>
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element">
                    <mat-chip-list>
                        <mat-chip *ngIf="!element.creditStatus" color="accent" disabled>
                            <mat-icon>close</mat-icon>{{ 'LOAN_REFUSED' | translate }}
                        </mat-chip>
                    </mat-chip-list>
                    <button *ngIf="element.creditStatus && !element.paymentStatus" (click)="payLoan(element)"
                        mat-raised-button color="accent">
                        {{ 'PAY_LOAN' | translate }}
                    </button>
                    <mat-chip-list>
                        <mat-chip *ngIf="element.creditStatus && element.paymentStatus" color="accent" selected>
                            <mat-icon>done</mat-icon>{{ 'PAID' | translate }}
                        </mat-chip>
                    </mat-chip-list>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>
</div>